#ifndef LEARNGTK4_HELLO_WORLD_HPP
#define LEARNGTK4_HELLO_WORLD_HPP

#include <gtkmm/applicationwindow.h>
#include <gtkmm/builder.h>

namespace Gtk {
    class Box;
}

namespace learn_gtkmm4 {

    class HelloWorld final : public Gtk::ApplicationWindow {
    public:
        using Gtk::ApplicationWindow::BaseObjectType;

        explicit HelloWorld(BaseObjectType *cobject, const Glib::RefPtr<Gtk::Builder> &builder);

        ~HelloWorld() final = default;

    protected:
        Glib::RefPtr<Gtk::Builder> m_builder;
        Gtk::Box *m_ui_box{ nullptr };
    };

} // learn_gtkmm4

#endif //LEARNGTK4_HELLO_WORLD_HPP
